package com.ssj.bean.sys.orgclass;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_lib_vip_bind_class")
public class VipBindClass extends BaseEntity {
	private static final long serialVersionUID = 890135943022798129L;
    /**
     * 学生id
     */
    private String vipId;
    /**
     * 年级
     */
    private String grade;
    /**
     * 班级
     */
    private String schoolClass;
    /**
     * 老师id
     */
    private String teacherId;
    /**
     * 科目
     */
    private String subject;
    /**
     * 机构名
     */
    private String orgName;
    /**
     * 创建时间
     */
    private Date createTime;

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSchoolClass() {
        return schoolClass;
    }

    public void setSchoolClass(String schoolClass) {
        this.schoolClass = schoolClass;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
